Bug 708450 - Network Manager Slow After Hibernate
Network Manager Slow After Hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 12:53 EDT by gareth foster
Modified: 2013-02-13 20:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:05:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages of entire sleep/resume sequence (31.12 KB, text/plain)
2011-06-06 08:40 EDT, Jeff Guerdat
no flags Details

  None (edit)
Description gareth foster 2011-05-27 12:53:10 EDT
Description of problem:
Network manager seems very slow to connect back to my wireless network after I open the lid on my Macbook Pro, compared to OSX.

On OSX, it gets itself back on the network within seconds, but on Fedora, it seems to take up to half a minute.

Is there anything that can be done about this? Is it trying wired networks or something first? Are the wireless drivers really slow to come up on Linux? Just a few suggestions, but something is off ...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Guerdat 2011-05-29 13:55:19 EDT
Agreed. It takes my connection about 45 seconds to reconnect after a suspend.  Actually, it's any time a connection is made - it's just that the boot/login process takes enough time to mask the issue.  One of my wireless connections is via a Belkin Cardbus N adapter that uses the RPMFusion rt2860 driver so I can easily see the LED activity.  It appears to be connected quickly but NM takes much longer to allow usage.  The built-in Intel ipw2200 does the same thing.
Comment 2 Jeff Guerdat 2011-06-04 09:24:40 EDT
ANyone?
Comment 3 Jirka Klimes 2011-06-06 04:03:25 EDT
Please grab /var/log/messages so we can see what's going on.
Comment 4 Jeff Guerdat 2011-06-06 08:40:07 EDT
Created attachment 503211 [details]
/var/log/messages of entire sleep/resume sequence
Comment 5 Jirka Klimes 2011-06-08 04:58:48 EDT
Jeff, the delay is caused by timing out on DHCPv6. The router informs the client it should get IPv6 address via DHCPv6, so it does, but the transaction times out.

So you should either set the connection to "Ignore" for IPv6 if you don't want to use IPv6, or properly configure IPv6 infrastructure (set the router to assign IPv6 via SLAAC and/or confirure DHCPv6).
Comment 6 Jeff Guerdat 2011-06-08 08:46:02 EDT
Oy freakin' vey!  I just ass-u-me-d that leaving IPV6 alone disabled it.  Setting it to Ignore works as advertised.  Sorry for the confusion.

BTW, I don't believe I had done anything to IPV6 in F14 - did NetworkManager change behavior?
Comment 7 Jirka Klimes 2011-06-15 04:22:13 EDT
(In reply to comment #6)
> BTW, I don't believe I had done anything to IPV6 in F14 - did NetworkManager
> change behavior?
Yeah, the IPv6 is switched on by default now. See e.g. https://bugzilla.redhat.com/show_bug.cgi?id=538499
Comment 8 gareth foster 2011-06-15 12:48:05 EDT
I do think it connects faster with this setting, but does anyone else think it connects faster than the GUI actually tells you? I'm sure I'm able to browse before the GUI say I can.
Comment 9 Jeff Guerdat 2011-06-15 15:06:26 EDT
I can certainly see the icon in 10 seconds or less now (sometimes the connection seems to be made almost immediately, sometimes it takes a bit longer - I think it's an issue with my router).  By the time I type in my password upon resuming, the network is ready by the time I am so it'd be a bit hard to try to test whether I could browse before the status icon sez I can.
Comment 10 Martin Bengtsson 2011-09-21 00:53:43 EDT
The IPv6 setting worked for me too. Browsing is not possible before the GUI tells me.
Comment 11 gareth foster 2011-09-21 04:48:55 EDT
This is still 10 times slower than on OSX for me. Even with the IPv6 setting off.
Comment 12 gareth foster 2011-10-31 13:41:02 EDT
This is still slow. For what it's worth, it seems Fedora is scanning for all available wireless networks before connecting to my usual one. Is it just that OSX is trying straight away for the one it last/usually used/uses and so appears to be loads quicker?
Comment 13 gareth foster 2011-11-17 13:10:33 EST
Still a problem on Fedora 16, raised a bug with upstream ...

https://bugzilla.gnome.org/show_bug.cgi?id=664289
Comment 14 gareth foster 2012-05-01 14:08:24 EDT
This actually seems a lot faster on F17 ... although I can't help but wonder if it's because my laptop isn't suspending or something?
Comment 15 Dan Williams 2012-05-01 17:52:56 EDT
(In reply to comment #14)
> This actually seems a lot faster on F17 ... although I can't help but wonder if
> it's because my laptop isn't suspending or something?

The kernel drivers may be faster, and wpa_supplicant (the thing that actual controls the wifi at a lower level) is updated as well, both of which can help things.  With F16 and F16 in my setup (no IPv6 but still set to "automatic") it takes no more than 5 or 6 seconds to reconnect to my wifi.  This is with Intel wifi cards.  Periodically the card doesn't succeed in finding my AP right away, but typically within 10 or 15 seconds it'll connect.  That delay is kernel drivers being dumb, as not every AP is found in every scan, so NM has to scan again.
Comment 16 Fedora End Of Life 2013-01-16 17:33:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Fedora End Of Life 2013-02-13 20:05:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.